org.keycloak.dom.saml.v2.metadata

## Class ExtensionsType

- java.lang.Object
- - org.keycloak.dom.saml.v2.metadata.ExtensionsType

-     public class ExtensionsType
      extends Object

  Java class for ExtensionsType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ExtensionsType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <any/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `any`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensionsType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExtension(Object extension)` Add an extension
    `List<Object>` | `getAny()` Gets the value of the any property.
    `List<Element>` | `getDomElements()`
    `Element` | `getElement()` Deprecated.
    `EntityAttributes` | `getEntityAttributes()`
    `void` | `removeExtension(Object extension)` Remove an extension
    `void` | `setElement(Element element)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### any

          protected List<Object> any

  - ### Constructor Detail

    - #### ExtensionsType

          public ExtensionsType()

  - ### Method Detail

    - #### getElement

          @Deprecated
          public Element getElement()

      Deprecated.
      Function is obsoleted with getAny
      Returns:

    - #### setElement

          @Deprecated
          public void setElement(Element element)

      Deprecated.
      Function is obsoleted with addExtension

    - #### addExtension

          public void addExtension(Object extension)

      Add an extension
      Parameters:
        `extension` -

    - #### removeExtension

          public void removeExtension(Object extension)

      Remove an extension
      Parameters:
        `extension` -

    - #### getAny

          public List<Object> getAny()

      Gets the value of the any property.

    - #### getDomElements

          public List<Element> getDomElements()

    - #### getEntityAttributes

          public EntityAttributes getEntityAttributes()

Copyright © 2021 JBoss by Red Hat. All rights reserved.